SELECT 
	*
FROM 
	dokument f, kalkulacija d
WHERE 
	f.arhiviran=1 AND f.storno= 0 AND f.iznos - f.stornoIznos - f.uplata <> 0 AND 
	((f.tip='KALKULACIJA' AND 
	(f.podtip='FAKTURA' OR f.podtip='POCETNO')) OR 
	(f.tip='TROSAK' AND f.podtip = 'EKSTERNI') OR 
	f.tip='RACUN_DOBAVLJACA' OR 
	f.tip='ZAPISNIK_OTPREMNICE')
	and f.iddok = d.iddok 
order by
d.sfrkomitent
